import java.util.ArrayList;
import java.util.Scanner;

public class D {
	static int n;
	static int m;
	static int k;
	static ArrayList<int[]> list;
	static int[] redact;

	public static void lexicography() {
		int arr[] = new int[n];
		list.add(arr);

		for (int i = 0; i < Math.pow(k + 1, n) - 1; i++) {
			redact[n - 1] = redact[n - 1] + 1;
			for (int j = n - 1; j > 0; j--) {
				if (redact[j] > k) {
					redact[j] = 0;
					redact[j - 1] = redact[j - 1] + 1;
				} else {
					break;
				}
			}
			int arr1[] = new int[n];
			for (int j = 0; j < n; j++) {
				arr1[j] = redact[j];
			}
			list.add(arr1);
		}

	}

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		n = sc.nextInt();
		m = sc.nextInt();
		k = sc.nextInt();
		list = new ArrayList<>();
		redact = new int[n];
		lexicography();
		boolean exist[] = new boolean[(int) Math.pow(k + 1, n)];
		for (int i = 0; i < (int) Math.pow(k + 1, n) ; i ++) {
			for (int k = 0; k < n; k ++) {
				for (int p = k + 1 ; p < n; p ++) {
					if ((list.get(i)[k] & list.get(i)[p]) != list.get(i)[k] ) {
						exist[i] = true;
					}
				}
			}
		}
		int counter = 0;
		for (int i = 0 ; i < (int) Math.pow(k + 1, n); i ++) {
			if (exist[i] ==false) {
				counter = counter + 1;
			}
		}
		System.out.println(counter);

	}

}
